echo off
cls
rem TDRIV is target drive, SDRIV is source drive.  Change them if necessary
set TDRIV=C:
set SDRIV=A:
if "%SDRIV%" == "" goto enverr
if not "%1" == "" goto menu
echo 
echo 
echo 	TCP/IP Disk Preparationͻ
echo 									
echo 	    This batch file can be used to prepare directories	and	
echo 	  extract files from K5JB TCP/IP distribution disk if you are	
echo 	  installing net for the first time.  This batch file must be	
echo 	  run from the %SDRIV% drive (or modify the 5th line in the batch	
echo 	  file).  It can put directories on drives B: through E:	
echo 	    See the doc files for more on configuring files for your	
echo 	  station.  If you choose the extract option, the basic 	
echo 	  files and some sample files will be extracted to \net on	
echo 	  your target disk.  Some possibly useful tools, including	
echo 	  autoip.exe for making configuration files, and Ted (tiny	
echo 	  editor) will be extracted.			 		
echo 	    I'll show you the menu screen now, but to see it again	
echo 	  without seeing this, you can just add a character after the	
echo 	  diskprep command, like "diskprep ?".				
echo 									
echo 	     Abort at any pause with Ctrl-C.    Enjoy, Joe, K5JB	
echo 									
echo 	ͼ
echo 
echo 
pause
:menu
cls
echo 
echo 
echo 
echo 	TCP/IP Disk Preparationͻ
echo 								 
echo 	 Your default target drive is %TDRIV%.  If you want to 	 
echo 	 change it, choose option 1, below.  You should pick	 
echo 	 options in order.  Now, make your choice:		 
echo 								 
echo 	 	1. Change default target drive from %TDRIV%		 
echo 								 
echo 	 	2. Make directories on %TDRIV%			 
echo 								 
echo 	 	3. Extract files from drive %SDRIV% to %TDRIV%		 
echo 								 
echo 	 	4. Add commands to your autoexec.bat file	 
echo 								 
echo 	 	Any other key to quit				 
echo 								 
echo 	ͼ
qqa n q
echo Wait a sec...
if errorlevel 5 goto end
if errorlevel 4 goto autoex
if errorlevel 3 goto move
if errorlevel 2 goto mkdir
if errorlevel 1 goto dodrive
if errorlevel 0 goto end
:dodrive
echo 	Default Drive Selectionͻ
echo 								 
echo 	 		Specify drive (B through E)		 
echo 	ͼ
qqa a q
echo Wait a sec...
if errorlevel 6 goto menu
if errorlevel 5 goto eee
if errorlevel 4 goto ddd
if errorlevel 3 goto ccc
if errorlevel 2 goto bbb
if errorlevel 1 goto aaa
goto menu
:eee
set TDRIV=E:
goto menu
:ddd
set TDRIV=D:
goto menu
:ccc
set TDRIV=C:
goto menu
:bbb
set TDRIV=B:
goto menu
:aaa
set TDRIV=A:
goto menu
:mkdir
echo 
echo 
echo 	ͻ
echo 								 
echo 		  I'm ready to make directories on %TDRIV%		 
echo 								 
echo 	ͼ
echo 
echo 
pause
md %TDRIV%\net
md %TDRIV%\net\finger
md %TDRIV%\spool
md %TDRIV%\spool\mail
md %TDRIV%\spool\mqueue
md %TDRIV%\spool\rqueue
md %TDRIV%\public
md %TDRIV%\public\mbox
echo 
echo 	ͻ
echo 								 
echo 	    (If you saw errors, directorys may already exist)	 
echo 	     I made directories on drive %TDRIV%.  Now pick menu	 
echo 	     item 3 to extract some of the files.		 
echo 								 
echo 	ͼ
echo 
pause
goto menu
:move 
echo 
echo 
echo 	ͻ
echo 								 
echo 		    Make sure disks are in place.		 
echo 	      I'm ready to extract files from %SDRIV% to %TDRIV%  	 
echo 								 
echo 	ͼ
echo 
echo 
pause
%TDRIV%
rem In case there is no \net...
cd \
cd \net
copy %SDRIV%lha.exe
lha x %SDRIV%execs %TDRIV%\net\ *.*
lha x %SDRIV%etcfiles %TDRIV%\net\ *.*
cd \
%SDRIV%
echo 
echo 	ͻ
echo 								 
echo 	 If you saw any errors, make sure you had enough space, 
echo 	 or set up proper target directories, and re-extract.	 
echo 	 e.g. If you had no %TDRIV%\net\, the files will all be	 
echo 	 in root.						 
echo 								 
echo 	 Be sure and put these four lines in your autoexec.bat: 
echo 	 set TZ=CST6CDT  (or equivalent for your time zone)	 
echo 	 set NETHOME=%TDRIV%/net  					 
echo 	 set NETSPOOL=%TDRIV%/spool  				 
echo 	 set PUBLIC=%TDRIV%/public/mbox  				 
echo 								 
echo 	 Or I can do it if you do select menu item 4.		 
echo 								 
echo 	ͼ
echo 
echo 
pause
goto menu
:autoex
echo 
echo 
echo 	ͻ
echo 								 
echo 		  I am ready to modify autoexec.bat in %TDRIV%  	 
echo 	     (I'll save old autoexec.bat as autoexec.sav.)	 
echo 	     If %TDRIV% isn't your boot drive you have to take	 
echo 	     over manually to edit autoexec.bat                 
echo 								 
echo 	ͼ
echo 
echo 
pause
rem the following is in case there is a ^Z at end of old file
echo Saving your autoexec.bat as autoexec.sav
if exist %TDRIV%\autoexec.bat goto automod
echo I didn't find an autoexec.bat file on %TDRIV% so I will make one but you
echo may have to manually add its contents to the one on your boot disk.
echo Ignore error messages that follow.
pause
:automod
copy %TDRIV%\autoexec.bat %TDRIV%\autoexec.sav >nul
rem TYPE takes care of possible Ctrl-Z in old file
type %TDRIV%\autoexec.sav >%TDRIV%\autoexec.bat
grep TZ %TDRIV%\autoexec.bat >nul
if errorlevel 1 goto notz
echo It already has TZ - won't add it
goto tstnethome
:notz
echo set TZ=CST6CDT>>%TDRIV%\autoexec.bat
:tstnethome
grep NETHOME %TDRIV%\autoexec.bat >nul
if errorlevel 1 goto nonethome
echo It already has NETHOME - won't add it, NETSPOOL or PUBLIC
goto ckpath
:nonethome
echo set NETHOME=%TDRIV%/net>>%TDRIV%\autoexec.bat
echo set NETSPOOL=%TDRIV%/spool>>%TDRIV%\autoexec.bat
echo set PUBLIC=%TDRIV%/public/mbox>>%TDRIV%\autoexec.bat
:ckpath
rem following proc will fail if \net anywhere in file
grep \\net %TDRIV%\autoexec.bat >nul
if errorlevel 1 goto nopath
echo It already has "\net" in file - won't add it to path.
goto endautoex
:nopath
echo PATH=%PATH%;%TDRIV%\net>>%TDRIV%\autoexec.bat
echo You can later delete the first (old) path command from autoexec.bat
:endautoex
echo 
echo 
echo 	ͻ
echo 								 
echo 	  Five lines (max) added to autoexec.bat.  After	 
echo 	  reboot, you can run net by simply typing "net".	 
echo 	  (If your old autoexec.net executed a command such as	 
echo 	  a menu, you must move it past the added lines.)	 
echo 								 
echo 	ͼ
echo 
echo 
pause
goto menu
:end
echo 	   Hope you enjoy TCP/IP as much as I have!  Joe, K5JB
goto realend
:enverr
echo This batch file can't be run from a shell that restricts environment.
echo Restart from raw dos (or quit Norton Commander).
goto realend
:autoexecerr
echo I didn't find an autoexec.bat to work with on %TDRIV%. You may be installing
echo on other than your boot disk.  If so, copy autoexec.bat to %TDRIV%, re-run
echo diskprep, and copy autoexec.bat to your boot disk.
:realend
set TDRIV=
set SDRIV=
